Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )
From: Oluwatosin Abati <[email-masked]>
To: Dele Okesanya <[email-masked]>
Cc: Obinna Ahaiwe <[email-masked]>, Folashade Odutola <[email-masked]>, Michael Orimolade <[email-masked]>, Robert Iyade <[email-masked]>, Oluwatomisin Idowu <[email-masked]>, Emmanuel Nwachukwu <[email-masked]>, Deborah Taiwo <[email-masked]>
Date: Fri, 5 Dec 2025 08:13:44 +0000

Dear Team,

OWN DAMAGE AND THIRD-PARTY CLAIM SETTLEMENT OFFER
PRIVATE MOTOR INSURANCE POLICY
CLAIM NO:            CL/25/F0552/PC
POLICY NUMBER:    HO/V/29/F0002031C
ACCIDENT DAMAGE INVOLVING INSURED VEHICLE: TOYOTA HIACE WITH REG NO: AKD 888 XY & T/PARTY ON 15/11/2025
INSURED:   C AND I LEASING PLC

We sympathize with our mutual client over the unfortunate incident.

Kindly find below our offer of settlement based on negotiation with the garage and policy terms and conditions;

OWN DAMAGE:

S/N
DESCRIPTION
 AMOUNT N
 ADJUSTED AMOUNT N
 REMARKS

FRONT BUMPER
                     225,000.00
                           180,000.00
 Adjusted and Agreed

FRONT BUMPER BRACKET
                       55,000.00
                             40,000.00
 Adjusted and Agreed

FRONT BUMPER GRILL
                       85,000.00
                             60,000.00
 Adjusted and Agreed

AC CONDENSER
                     185,000.00
                           150,000.00
 Adjusted and Agreed

BONNET
                     275,000.00
                           250,000.00
 Adjusted and Agreed

HEADLAMP
                     360,000.00
                           150,000.00
 Adjusted and Agreed

UPPER REINFORCEMENT
                       90,000.00
                             50,000.00
 Adjusted and Agreed

UPPER CHASIS CUT (RHS)
                     125,000.00
                           100,000.00
 Adjusted and Agreed

RADIATOR
                     165,000.00
                           125,000.00
 Adjusted and Agreed

PANEL BEATING MATERIALS
                     160,000.00
                           120,000.00
 Adjusted and Agreed

PAINTING MATERIALS (FRONT ACCIDENTED)
                     130,000.00
                           100,000.00
 Adjusted and Agreed

LABOUR
                     185,000.00
                           140,000.00
 Adjusted and Agreed

Total
                  2,040,000.00
                         1,465,000.00

Less: 20% Contribution on AC CONDENSER

                             33,000.00

Less: 20% Contribution on RADIATOR

                             27,500.00

                         1,404,500.00

Less: Policy Retention N800,000.00

                           800,000.00

                           604,500.00

Less: 5% Policy Excess

                             30,225.00

Net Adjusted Amount

                           574,275.00

THIRD PARTY DAMAGE:
S/N
DESCRIPTION
 AMOUNT N
 ADJUSTED AMOUNT N
 REMARKS
1
Front Bumper
                     180,000.00
                           140,000.00
 Adjusted and Agreed
2
L/S Front Fender
                       30,000.00
                             15,000.00
 Adjusted and Agreed
3
Headlamps
                     350,000.00
                           300,000.00
 Adjusted and Agreed
4
Rear Lights
                       90,000.00
                             70,000.00
 Adjusted and Agreed
5
Rear Windscreen
                       80,000.00
                             65,000.00
 Adjusted and Agreed
6
Trunk Lid
                       90,000.00
                             75,000.00
 Adjusted and Agreed
7
Back Bumper
                     140,000.00
                           100,000.00
 Adjusted and Agreed
8
Headlamp Charger
                       60,000.00
                             40,000.00
 Adjusted and Agreed
9
Front Suspension
                     250,000.00
                           180,000.00
 Adjusted and Agreed
10
Rear Suspension
                     270,000.00
                           180,000.00
 Adjusted and Agreed
11
Front Guide Iron
                       40,000.00
                             25,000.00
 Adjusted and Agreed
12
Rear Guide Iron
                       60,000.00
                             50,000.00
 Adjusted and Agreed
13
Rear Windscreen Fixing
                       20,000.00
                             15,000.00
 Adjusted and Agreed
14
Engine Protector
                       40,000.00
                                        -
 Deleted
15
3 Front & 1 Rear Sensor
                     110,000.00
                             85,000.00
 Adjusted and Agreed
16
Front Radiator Air Plastic
                       70,000.00
                             50,000.00
 Adjusted and Agreed
17
Trunk Shock (Hinges)
                       50,000.00
                             35,000.00
 Adjusted and Agreed
18
Mechanic
                     150,000.00
                             80,000.00
 Adjusted and Agreed
19
Panel Beating
                     250,000.00
                           120,000.00
 Adjusted and Agreed
20
Rewire/Programming
                     100,000.00
                             65,000.00
 Adjusted and Agreed
21
Engine Seat
                       40,000.00
                             30,000.00
 Adjusted and Agreed
22
Gear Seat
                       50,000.00
                             35,000.00
 Adjusted and Agreed
23
Exhaust
                       50,000.00
                             40,000.00
 Adjusted and Agreed
24
Car Body Painting
                     350,000.00
                           250,000.00
 Adjusted and Agreed

Total
                  2,920,000.00
                         2,045,000.00

Less: 5% Policy Excess

                           102,250.00

Net Adjusted Amount

                         1,942,750.00

Also attached is our discharge voucher for insured's completion and returned thereafter affixed with a postage stamp to enable us treat the claim further.

We also await receipt of the Police Report to facilitate further action on the request.

Thank you.

Oluwatosin Onatade-Abati
Treasury
C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos
07032575577 | [email-masked]<mailto:[email-masked]>

From: Oluwatosin Abati
Sent: Tuesday, 2 December 2025 11:20 AM
To: Dele Okesanya <[email-masked]>
Cc: Obinna Ahaiwe <[email-masked]>; Folashade Odutola <[email-masked]>; Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; Oluwatomisin Idowu <[email-masked]>; Emmanuel Nwachukwu <[email-masked]>; Deborah Taiwo <[email-masked]>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear @Dele Okesanya<mailto:[email-masked]>

Please be informed that a loss adjuster has been appointed to negotiate the estimate of repairs with the third-party workshop.

We look forward to having the outstanding police report for timely close out on this claim.

Thank you.

Oluwatosin Onatade-Abati
Treasury
C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos
07032575577 | [email-masked]<mailto:[email-masked]>

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Friday, 28 November 2025 10:30 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear @Oluwatosin Abati<mailto:[email-masked]>,

Trust your night went well.

We will revert on this shortly. Kindly inform the loss adjuster to
go ahead with the estimate approval.

A swift response to the effect will be highly appreciated.

Kind regard,

Dele Okesanya
Fleet  Officer
C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos
08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>
[A white square with blue and black logo  Description automatically generated]

From: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Sent: Friday, November 28, 2025 10:08 AM
To: Dele Okesanya <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear @Dele Okesanya<mailto:[email-masked]>,

Please avail us with the police report to further process this claim.

Thank you.

Oluwatosin Onatade-Abati
Treasury
C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos
07032575577 | [email-masked]<mailto:[email-masked]>

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, 26 November 2025 9:30 PM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: Re: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Thank, you Madam

Get Outlook for Android<https://aka.ms/AAb9ysg>
________________________________
From: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, November 26, 2025 5:46:29 PM
To: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Sir,

I will revert accordingly.

Thank you.

Oluwatosin Onatade-Abati

Treasury

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

07032575577 | [email-masked]<mailto:[email-masked]>

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, 26 November 2025 10:36 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

A kind reminder.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Dele Okesanya
Sent: Monday, November 24, 2025 10:35 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Madam, @Oluwatosin Abati<mailto:[email-masked]>,

Trust your weekends went well.

Kindly confirm if the insurance loss adjuster were able to visit the w/shop for approval.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Dele Okesanya
Sent: Friday, November 21, 2025 9:33 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Madam, @Oluwatosin Abati<mailto:[email-masked]>,

Top of the morning to you.

Please find the attached incident report based on the subject mail .

We will highly appreciate if the insurance loss adjuster can visit Musibau w/shop to inspect the vehicles for approvals.  Maintenance have sent the estimates yesterday.

The third-party client is seriously disturbing. Kindly assist us.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 20, 2025 4:16 PM
To: Dele Okesanya <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Sir, @Dele Okesanya<mailto:[email-masked]>

Upon review of the revised incident report, the heading was changed but the content still states that the proximate cause of the own damage and the third-party property damage was subsequent to the repairs of the brake and the eventual outcome of loss resulting from brake failure.

It is an exclusion under motor insurance policy and can not be presented for claim else it will be declined.

I look forward to receiving the revised incident report to further process this claim.

Thank you.

Oluwatosin Onatade-Abati

Treasury

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

07032575577 | [email-masked]<mailto:[email-masked]>

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, 20 November 2025 3:55 PM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Madam, @Oluwatosin Abati<mailto:[email-masked]>,

As discussed, kindly re-check the incident report and revert.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 20, 2025 3:39 PM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear Emmanuel,

Your mail is hereby acknowledged.

@Dele Okesanya<mailto:[email-masked]> Kindly be reminded that the revised incident report is still pending and yet to notify the insurer of this claim.

Please revert without further delay.

Thank you.

Oluwatosin Onatade-Abati

Treasury

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

07032575577 | [email-masked]<mailto:[email-masked]>

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, 20 November 2025 11:07 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>; Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Subject: RE: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear @Oluwatosin Abati<mailto:[email-masked]>,

Kindly find attached for your use.

Please inform the insurance loss adjuster to visit the workshop as the estimate is above our limit.

Thanks.

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 20, 2025 9:41 AM
To: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: INCCIDENT REPORT ON AKD 888 XY ( ACCIDENT ON 3RD MAINLAND BRIDGE )

Dear @Oluwatosin Abati<mailto:[email-masked]>,

Kindly find attached vehicle incident report for your office needful.

The workshop claimed to send the estimate shortly.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, November 19, 2025 11:07 AM
To: Dele Okesanya <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Deborah Taiwo <[email-masked]<mailto:[email-masked]>>; Oluwatomisin Idowu <[email-masked]<mailto:[email-masked]>>
Subject: RE: AKD 888 XY FRONT ACCIDENT WITH BRAKE FAILURE.

Dear @Dele Okesanya<mailto:[email-masked]>

Please share a revised incident report as brake failure as a result of an accident is not covered.

Thank you.

Oluwatosin Onatade-Abati

Treasury

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

07032575577 | [email-masked]<mailto:[email-masked]>

From: Dele Okesanya <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, 18 November 2025 11:10 AM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>
Subject: AKD 888 XY FRONT ACCIDENT WITH BRAKE FAILURE.

Dear @Oluwatosin Abati<mailto:[email-masked]>,

Trust your day is going on fine.

Kindly find below vehicle insurance documentation towards the subject mail.

Dear @Emmanuel Nwachukwu<mailto:[email-masked]>,

Kindly assist to allocate the subject vehicle that can fast track the repairs.

Kind regard,

Dele Okesanya

Fleet  Officer

C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007173| [email-masked] |<mailto:[email-masked]%20%7C>www.c-ileasing.com<http://www.cileasing.com/>

[A white square with blue and black logo  Description automatically generated]